from importlib.metadata import entry_points
from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as f:
    long_description = f.read()
    
setup(
    name="skeltymlops",  # Unique name for PyPI
    version="0.1.6",  # Update this when making changes
    packages=find_packages(),  # Automatically find modules
    install_requires=[],  # Add dependencies if needed
    author="Charbel Daoud",  # Replace with your name
    description="A dummy package demonstrating PyPI structure",
    long_description=long_description,
    long_description_content_type="text/markdown",
    entry_points={
        "console_scripts": [
            "skeltymlops=skeltymlops:main", 
        ],
    },
)